# Prompt configuration

function _prompt_config
    # Colors
    if not set -q prompt_color_surface; and not set -Uq prompt_color_surface
        set -U prompt_color_surface 1b2122
    end
    if not set -q prompt_color_primary; and not set -Uq prompt_color_primary
        set -U prompt_color_primary 81d3df
    end
    if not set -q prompt_color_secondary; and not set -Uq prompt_color_secondary
        set -U prompt_color_secondary b1cbcf
    end
    if not set -q prompt_color_tertiary; and not set -Uq prompt_color_tertiary
        set -U prompt_color_tertiary b9c6ea
    end
    if not set -q prompt_color_error; and not set -Uq prompt_color_error
        set -U prompt_color_error ffb4ab
    end
    if not set -q prompt_color_primary_fixed; and not set -Uq prompt_color_primary_fixed
        set -U prompt_color_primary_fixed 9df0fb
    end
    if not set -q prompt_color_tertiary_fixed; and not set -Uq prompt_color_tertiary_fixed
        set -U prompt_color_tertiary_fixed d9e2ff
    end

    # Behavior
    if not set -q prompt_show_username; and not set -Uq prompt_show_username
        set -U prompt_show_username true
    end
    if not set -q prompt_show_time; and not set -Uq prompt_show_time
        set -U prompt_show_time true
    end
    if not set -q prompt_time_format; and not set -Uq prompt_time_format
        set -U prompt_time_format "%I:%M%P"
    end
    if not set -q prompt_dir_truncation; and not set -Uq prompt_dir_truncation
        set -U prompt_dir_truncation 3
    end

    # Symbols
    if not set -q prompt_symbol; and not set -Uq prompt_symbol
        set -U prompt_symbol "󱞪"
    end
    if not set -q prompt_user_symbol; and not set -Uq prompt_user_symbol
        set -U prompt_user_symbol "󰧱"
    end

    # Directory substitutions
    if not set -q prompt_dir_substitutions; and not set -Uq prompt_dir_substitutions
        set -U prompt_dir_substitutions \
            "Documents:󰈙" \
            "Downloads: " \
            "Music: " \
            "Pictures: "
    end
end
